<!DOCTYPE html>

<html lang="en" data-content_root="../../../../">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>sagace.exceptions.infrastructure.infrastructure_error &#8212; sagace 2025 documentation</title>
    <link rel="stylesheet" type="text/css" href="../../../../_static/pygments.css?v=5ecbeea2" />
    <link rel="stylesheet" type="text/css" href="../../../../_static/basic.css?v=b08954a9" />
    <link rel="stylesheet" type="text/css" href="../../../../_static/alabaster.css?v=27fed22d" />
    <script src="../../../../_static/documentation_options.js?v=cb975c41"></script>
    <script src="../../../../_static/doctools.js?v=9bcbadda"></script>
    <script src="../../../../_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="../../../../genindex.html" />
    <link rel="search" title="Search" href="../../../../search.html" />
   
  <link rel="stylesheet" href="../../../../_static/custom.css" type="text/css" />
  

  
  

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <h1>Source code for sagace.exceptions.infrastructure.infrastructure_error</h1><div class="highlight"><pre>
<span></span><span class="c1"># -*- coding: utf-8 -*-</span>
<span class="sd">&quot;&quot;&quot;</span>
<span class="sd">--------------------------------------------------------------------------------------------------------------------</span>

<span class="sd">Module: Infrastructure Errors</span>
<span class="sd">~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~</span>

<span class="sd">Este módulo define a exceção base `InfrastructureError`, utilizada para representar erros relacionados à infraestrutura.</span>

<span class="sd">Obs.:</span>

<span class="sd">- Segue os princípios da **Clean Architecture**, separando os erros de infraestrutura do domínio da aplicação.</span>
<span class="sd">- Aplica o princípio **Liskov Substitution Principle (LSP)**, pois outras exceções específicas podem herdar de `InfrastructureError`</span>
<span class="sd">  sem modificar seu comportamento esperado.</span>

<span class="sd">Author:           @diego.yosiura</span>
<span class="sd">Last Update:      27/02/2025 16:05</span>
<span class="sd">Created:          27/02/2025 16:05</span>
<span class="sd">Copyright:        (c) Ampere Consultoria Ltda</span>
<span class="sd">Original Project: sagace-v2-package</span>
<span class="sd">IDE:              PyCharm</span>
<span class="sd">&quot;&quot;&quot;</span>


<div class="viewcode-block" id="InfrastructureError">
<a class="viewcode-back" href="../../../../sagace.exceptions.infrastructure.html#sagace.exceptions.infrastructure.infrastructure_error.InfrastructureError">[docs]</a>
<span class="k">class</span><span class="w"> </span><span class="nc">InfrastructureError</span><span class="p">(</span><span class="ne">Exception</span><span class="p">):</span>
<span class="w">    </span><span class="sd">&quot;&quot;&quot;</span>
<span class="sd">    Exceção base para representar erros de infraestrutura.</span>

<span class="sd">    Esta classe deve ser utilizada como base para todas as exceções relacionadas à infraestrutura,</span>
<span class="sd">    como falhas de conexão, indisponibilidade de serviços e erros de comunicação com APIs externas.</span>

<span class="sd">    Herda de:</span>
<span class="sd">        Exception: Classe base de todas as exceções nativas do Python.</span>

<span class="sd">    Exemplo de uso:</span>
<span class="sd">        &gt;&gt;&gt; raise InfrastructureError(&quot;Falha ao conectar ao banco de dados&quot;)</span>

<span class="sd">    &quot;&quot;&quot;</span>

    <span class="k">pass</span>  <span class="c1"># A classe serve apenas como uma base para outras exceções de infraestrutura</span></div>

</pre></div>

          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="Main">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="../../../../index.html">sagace</a></h1>









<search id="searchbox" style="display: none" role="search">
    <div class="searchformwrapper">
    <form class="search" action="../../../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false" placeholder="Search"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</search>
<script>document.getElementById('searchbox').style.display = "block"</script><h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Conteúdo:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../../../modules.html">sagace</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="../../../../index.html">Documentation overview</a><ul>
  <li><a href="../../../index.html">Module code</a><ul>
  </ul></li>
  </ul></li>
</ul>
</div>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &#169;2025, Ampere Consultoria.
      
      |
      Powered by <a href="https://www.sphinx-doc.org/">Sphinx 8.2.1</a>
      &amp; <a href="https://alabaster.readthedocs.io">Alabaster 1.0.0</a>
      
    </div>

    

    
  </body>
</html>